% Guess the Number Game
% Generate a random secret number between 1 and 100
secretNumber = randi([1, 100]);
% Initialize variables
userGuess = 0;
attempts = 0;
% Display instructions
disp('Welcome to Guess the Number Game!');
disp('Try to guess the secret number between 1 and 100.');
% Main game loop
while userGuess ~= secretNumber
% Prompt user for a guess
userGuess = input('Enter your guess: ');
% Update attempts
attempts = attempts + 1;
% Check the guess
if userGuess < secretNumber
disp('Too low! Try again.');
elseif userGuess > secretNumber
disp('Too high! Try again.');
else
disp(['Congratulations! You guessed the number in ',...
    num2str(attempts), ' attempts.']);
end
end