% Define two discrete signals
x = [1, 2, 3];  % Input signal
h = [0.5, 1];   % Impulse response

% Initialize the convolution result
y = zeros(1, length(x) + length(h) - 1);

% Perform convolution
for i = 1:length(x)
    y(i:i+length(h)-1) = y(i:i+length(h)-1) + x(i) * h;
end

% Display the results
disp('Input signal x:');
disp(x);

disp('Impulse response h:');
disp(h);

disp('Convolution result y:');
disp(y);
