function y = Lin_convolution1(x, h)

Lh = length(h);
Nx = length(x);
N = Nx + Lh - 1;

y = zeros(1, N);

for n = 1:N
    for k = 1:Lh
        if (n-k+1 > 0) && (n-k+1 <= Nx)
            y(n) = y(n) + x(n-k+1) * h(k);
        end
    end
end

end
